Bug 6710 - cifs.upcall: Commits e9e2414e and 64982295 are missing in 3.4.1
cifs.upcall: Commits e9e2414e and 64982295 are missing in 3.4.1
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 15:02 UTC by Lars Müller
Modified: 2009-12-01 02:30 UTC (History)
0 users

See Also:
jmcd: review+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2009-09-10 15:02:11 UTC
I've picked 5148eefe1ea6e215dcbf4ffaa642860bd8dab45f (initial commit e9e2414e798a2eb447de45803e61cc0a49752f11ESC) and 789963de23d46eba41cdd29c7b50100ec47e4361 (initial commit 64982295fccc5758aff4464b5527a27621386bc9ESC) to v3-5-test.

Both are needed in 3.4 too.
Comment 1 Jim McDonough 2009-09-10 15:15:25 UTC
seems a straightforward cherry-pick
Comment 2 Lars Müller 2009-09-10 15:17:19 UTC
The "Adjust regex to match variable names including underscores" = 5148eefe had been in 3.2.8 and 3.3.1.

While "Conditional install of the cifs.upcall man page" = 789963de had been in 3.3.1.
Comment 3 Karolin Seeger 2009-09-19 12:04:51 UTC
Pushed 5148eefe1ea6e215, was already pushed.
Closing out bug report.

Thanks!
Comment 4 Lars Müller 2009-11-26 16:57:49 UTC
We face the same issue in 3.5.0pre1.
Comment 5 Guenther Deschner 2009-11-26 17:16:31 UTC
first price for picking a speaking subject :-)
Comment 6 Karolin Seeger 2009-11-27 07:34:30 UTC
Both patches are included in v3-5-test.
Lars, what exactly fails?
Comment 7 Lars Müller 2009-11-27 09:02:41 UTC
Both fixes to samba-3.5.0pre1/source3/script/installman.sh are not included in the samba-3.5.0pre1 tar ball.

And I've also checked origin/v3-5-test and origin/v3-5-stable.

Also there source3/script/installman.sh does not have the two changes.
Comment 8 Karolin Seeger 2009-12-01 02:26:33 UTC
(In reply to comment #7)
> Both fixes to samba-3.5.0pre1/source3/script/installman.sh are not included in
> the samba-3.5.0pre1 tar ball.
> 
> And I've also checked origin/v3-5-test and origin/v3-5-stable.
> 
> Also there source3/script/installman.sh does not have the two changes.
> 

You are right! That's really strange... I see the cherry picks in the git log, but the changes did not take affect. I will investigate.
Comment 9 Karolin Seeger 2009-12-01 02:30:25 UTC
I picked them again.
Verified v3-4-test also.
Closing out bug report.